Bug 22363 - macros (e.g. %configure) expanded even in comments
Summary: macros (e.g. %configure) expanded even in comments
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-15 20:01 UTC by Fox, David
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-15 20:01:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fox, David 2000-12-15 20:01:45 UTC
I tried to comment out a %configure macro with a # and supply an
alternative configuration,
but the original one still ran, it was apparantly expanded and the lines
after the initial # were
executed.

Comments should be stripped before macros are expanded.

Comment 1 Jeff Johnson 2000-12-16 18:50:43 UTC
Macros are entirely context free, expanded in comments, within quotes, in the
false branch
of  %if, context free means context free.

Esacpe with an extra % if you want macro not to expand in comment.


Note You need to log in before you can comment on or make changes to this bug.